SeLoger Agency
GET
Retrieve detailed profile information for a SeLoger real estate agency including contact details, ratings, reviews, and address.
Credit cost: 2 credits per call
ApiKeyAuthheader
x-api-key<token>Your API key. Include it in the x-api-key header for every request.
query*stringA valid SeLoger agency profile URL.
Supported URL formats:
/professionnels/agences-immobilieres/{city}/{slug}//professionnels/agents-commerciaux/{city}/{slug}/Example:
https://www.seloger.com/professionnels/agences-immobilieres/castanet-tolosan-31320/agence-21719Note: The URL must point to a SeLoger agency profile page. The agency slug and numeric ID are both embedded in the URL.
Successful response
application/json- response
id?stringlogo?name?stringemail?stringsiret?stringbanner?id_rcu?stringrating?address?fee_url?stringreviews?website?stringid_tiers?stringis_seller?unknownlanguages?stringlegal_form?unknownsold_count?unknownagency_type?integerdescription?unknownphone_number?stringintermediary_id?integersocial_networks?array<unknown>sold_properties?unknownintermediary_type?integerenvironment_source?stringhead_office_address?unknowncurl -X GET 'https://api.piloterr.com/v2/seloger/agency?query=string'Example Response
{ "id": "73866", "logo": { "alt": "Logo du pro L'ADRESSE CASTANET TOLOSAN", "src": "04yui7bokni23pkvnpeje9fsrpfqf364vk6xbc1qo" }, "name": "L'ADRESSE CASTANET TOLOSAN", "email": "name@example.com", "siret": "51965411500020", "banner": { "alt": "Banniere du pro L'ADRESSE CASTANET TOLOSAN", "src": null }, "id_rcu": "RC-079919", "rating": { "value": 4.8, "reviews_count": 129 }, "address": { "city": "Castanet Tolosan", "street": "43 avenue de Toulouse ", "zip_code": "31320" }, "fee_url": "https://media.immo-facile.com/segments/immo/catalog/images/manufacturers_bareme/72614.pdf", "reviews": { "count": 129, "result": [] }, "website": "http://www.ladresse-castanet.com", "id_tiers": "102577", "is_seller": null, "languages": "en,es,fr", "legal_form": null, "sold_count": null, "agency_type": 0, "description": null, "phone_number": "+33 1 99 00 00 00", "intermediary_id": 21719, "social_networks": [], "sold_properties": null, "intermediary_type": 1, "environment_source": "SELOGER", "head_office_address": null}